[arch-commits] Commit in (6 files)

Tobias Powalowski tpowa at archlinux.org
Thu Jan 14 13:54:04 EST 2010


    Date: Thursday, January 14, 2010 @ 13:54:03
  Author: tpowa
Revision: 63108

new depend for samba

Added:
  talloc/
  talloc/repos/
  talloc/repos/extra-i686/
  talloc/repos/extra-x86_64/
  talloc/trunk/
  talloc/trunk/PKGBUILD

----------+
 PKGBUILD |   26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

Added: talloc/trunk/PKGBUILD
===================================================================
--- talloc/trunk/PKGBUILD	                        (rev 0)
+++ talloc/trunk/PKGBUILD	2010-01-14 18:54:03 UTC (rev 63108)
@@ -0,0 +1,26 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=talloc
+pkgver=2.0.1
+pkgrel=1
+pkgdesc="talloc is a hierarchical pool based memory allocator with destructors"
+arch=(i686 x86_64)
+license=('GPL3')
+url="http://tdb.samba.org/"
+source=(http://samba.org/ftp/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+depends=('glibc')
+
+build() {
+   cd ${srcdir}/${pkgname}-${pkgver}
+   ./configure --prefix=/usr \
+   --sysconfdir=/etc/samba \
+   --localstatedir=/var \
+   --enable-talloc-compat1 \
+   --enable-largefile
+   make || return 1
+   make DESTDIR=$pkgdir/ install
+   # fix permission
+   chmod 644 $pkgdir/usr/lib/libtalloc.a
+}
+md5sums=('c6e736540145ca58cb3dcb42f91cf57b')


Property changes on: talloc/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id



More information about the arch-commits mailing list